View Issue Details

IDProjectCategoryView StatusLast Update
0000163Main CAcert Websiteaccount administrationpublic2013-01-14 01:27
Reporterhomer Assigned To 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformMain CAcert WebsiteOSN/A 
Fixed in Version2006 
Summary0000163: Avoid a user to put 5 time the same question in the Q/A password recovery system
DescriptionRecently a user was stuck because he's put 5 time the same question with 5 different answers.

=> we need to avoid a user to put 5 time the same question in the Q/A password recovery system
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

has duplicate 0000088 closed Check for security questions with the same answer 

Activities

duane

2006-08-17 03:15

developer   ~0000587

if($_SESSION['signup']['Q1'] == $_SESSION['signup']['Q2'] ||
                        $_SESSION['signup']['Q1'] == $_SESSION['signup']['Q3'] ||
                        $_SESSION['signup']['Q1'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['Q1'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['Q2'] == $_SESSION['signup']['Q3'] ||
                        $_SESSION['signup']['Q2'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['Q2'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['Q3'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['Q3'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['Q4'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['Q1'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['Q2'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['Q3'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['Q3'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['A3'] == $_SESSION['signup']['Q4'] ||
                        $_SESSION['signup']['A3'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['A4'] == $_SESSION['signup']['Q5'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['A2'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['A3'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['A4'] ||
                        $_SESSION['signup']['A1'] == $_SESSION['signup']['A5'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['A3'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['A4'] ||
                        $_SESSION['signup']['A2'] == $_SESSION['signup']['A5'] ||
                        $_SESSION['signup']['A3'] == $_SESSION['signup']['A4'] ||
                        $_SESSION['signup']['A3'] == $_SESSION['signup']['A5'] ||
                        $_SESSION['signup']['A4'] == $_SESSION['signup']['A5'])
                {

Issue History

Date Modified Username Field Change
2006-03-06 08:43 homer New Issue
2006-08-17 03:15 duane Status new => needs work
2006-08-17 03:15 duane Assigned To => homer
2006-08-17 03:15 duane Status needs work => solved?
2006-08-17 03:15 duane Fixed in Version => production
2006-08-17 03:15 duane Resolution open => fixed
2006-08-17 03:15 duane Note Added: 0000587
2006-08-17 04:05 duane Relationship added has duplicate 0000088
2007-10-24 06:02 evaldo Status solved? => closed
2013-01-14 01:27 Werner Dworak Assigned To homer =>
2013-01-14 01:27 Werner Dworak Fixed in Version => 2006